package com.bofeng.dao;


import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.bofeng.entity.MsReport;
import com.bofeng.entity.MsSuspected;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author: xielianghe
 * @Date: 2020/2/4 15:39
 */
@Mapper
@Repository
public interface MsSuspectedMapper extends BaseMapper<MsSuspected> {

    List<MsSuspected> selectByReportId(@Param("reportId") Long reportId);

    //判断家人姓名是否重复
    @Select("select count(*) from ms_suspected where report_id=#{reportId} and user_name=#{userName}")
    Integer selectUserNameNum(@Param("reportId") Long reportId,@Param("userName") String userName);
}
