package com.bofeng.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@ToString
@TableName("SYS_AREA_STREET")
public class SysAreaStreet {

    @ApiModelProperty("街道ID")
    @TableId("STREET_ID")
    private Long streetId;

    @ApiModelProperty("地区ID")
    @TableField("AREA_ID")
    private Long areaId;

    @ApiModelProperty("状态:1正常,0草稿,-1删除")
    @TableField("STATUS")
    private int status;

}
