package com.bofeng.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Getter;
import lombok.Setter;
import org.joda.time.DateTime;

/**
 * 门牌信息表
 */
@Getter
@Setter
@TableName("sys_uptown_unit")
public class UptownUnit {

    @TableField("unit_id")
    private Long unitId;

    @TableField("uptown_id")
    private Long uptown_id;

    @TableField("ridgepole")
    private String ridgepole;

    @TableField("unit")
    private String unit;

    /**
     * 状态:1正常,0草稿,-1删除
     */
    @TableField("status")
    private Integer status;

    @TableField("user_create")
    private Long userCreate;

    @TableField(exist = false)
    private DateTime timeCreate;

    @TableField("user_update")
    private Long userUpdate;

    @TableField(exist = false)
    private DateTime timeUpdate;
}
