package com.bofeng.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Getter;
import lombok.Setter;
import org.joda.time.DateTime;

import java.io.Serializable;

/**
 * qz_task
 *
 * @author
 */
@Getter
@Setter
@TableName("sh_shop")
public class ShShop implements Serializable {
    @TableId("shop_id")
    private Long shopId;
    @TableField("user_id")
    private Long userId;
    @TableField("shop_type")
    private Integer shopType;
    @TableField("shop_name")
    private String shopName;
    @TableField("linkman")
    private String linkman;
    @TableField("phone")
    private String phone;
    //    @TableField("housing_estate")
//    private String housingEstate;
    @TableField("addr")
    private String addr;
    @TableField("main_mat_desc")
    private String mainMatDesc;
    @TableField("start_date")
    private DateTime startDate;
    @TableField("end_date")
    private DateTime endDate;
    //    @TableField("message")
//    private String message;
    @TableField("status")
    private int status;
    @TableField("user_create")
    private Long userCreate;
    @TableField("time_create")
    private DateTime timeCreate;
    @TableField("user_update")
    private Long userUpdate;
    @TableField("time_update")
    private DateTime timeUpdate;


}