package com.bofeng.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Getter;
import lombok.Setter;
import org.joda.time.DateTime;

import java.io.Serializable;

/**
 * qz_task
 *
 * @author
 */
@Getter
@Setter
@TableName("sh_shop_mat")
public class ShShopMat implements Serializable {
    @TableId("mat_id")
    private Long matId;
    @TableField("shop_id")
    private Long shopId;
    @TableField("inventory_type")
    private Integer inventory_type;
    @TableField("status")
    private Integer status;
    @TableField("description")
    private String description;
    @TableField("user_create")
    private Long userCreate;
    @TableField("time_create")
    private DateTime timeCreate;
    @TableField("user_update")
    private Long userUpdate;
    @TableField("time_update")
    private DateTime timeUpdate;


    @TableField("mat_name")
    private String matName;
    @TableField("mat_num")
    private int matNum;

}