package com.bofeng.entity;

import lombok.Data;
import org.joda.time.DateTime;

import java.io.Serializable;

/**
 * sys_user_role
 * @author 
 */
@Data
public class SysUserRole implements Serializable {
    /**
     * 用户角色关系ID
     */
    private Long urId;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 角色ID:1居民,2业委会,3商家
     */
    private Integer roleId;

    /**
     * 属性ID,居民门牌ID,业委会ID
     */
    private Long propertyId;

    /**
     * 新增人
     */
    private Long userCreate;

    /**
     * 新增时间
     */
    private DateTime timeCreate;

    /**
     * 修改人
     */
    private Long userUpdate;

    /**
     * 修改时间
     */
    private DateTime timeUpdate;

    private static final long serialVersionUID = 1L;
}